## xubuntu-docs 11.10.0

=== debian/changelog ===
xubuntu-docs (11.10.0) oneiric; urgency=low

  * desktop-guide/libs/global.ent, startpage/xubuntu-index.html: updated
    for oneiric.

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Mon, 26 Sep 2011 20:55:11 +0200

xubuntu-docs (11.04.1) oneiric; urgency=low

  * debian/control: Build-Depend on gnome-doc-utils for xml2po. Fixes
    FTBFS. (LP: #835753)
  * debian/preinst: Upgrades need to remove the firefox-homepage
    alternative. In this way, we no longer need postinst or prerm.

 -- Daniel T Chen <crimsun@ubuntu.com>  Mon, 29 Aug 2011 14:09:09 -0400

=== debian/control ===
Source: xubuntu-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends: cdbs,
               debhelper (>= 5),
               docbook-xml,
               docbook-xsl,
               ubuntu-docs (>= 7.03),
               xsltproc,
               gnome-doc-utils
Standards-Version: 3.8.4

Package: xubuntu-docs
Architecture: all
Depends: ${misc:Depends}
Description: xubuntu documentation
 This package holds the official Xubuntu-specific documentation, maintained
 by the Xubuntu Documentation Team. The documentation can be viewed using
 your web browser.

## xubuntu-docs 12.04.0

=== debian/changelog ===
xubuntu-docs (12.04.0) precise; urgency=low

  [ Pasi Lallinaho]
  * Backport the looks from 12.10+ documentation.

  [ Jack Fromm ]
  * Update application menu paths to reflect their state in 12.04
  * Update application names and GUI labels
  * Add or remove steps to instructions where applicable

  [ Stephen Michael Kellat ]
  * Prepare for Stable Release Update (Closes LP: #1207493)

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Thu, 25 Jul 2013 18:51:03 +0300

xubuntu-docs (13.10.0) saucy; urgency=low

  [ Pasi Lallinaho ]
  * Bump startpage and entities to Saucy
  * Rename to "Xubuntu Documentation"

  [ Unit 193 ]
  * Updated entities.
  * Updated Application names to friendly format.
  * Updated a moved channel.
  * Updated some formatting.
  * Updated and made additions to the networking section.
  * Added applications from the last cycle.

  [ Stephen Michael Kellat ]
  * Removed reference to a Qt-based application that should not be there
  * Fixed a typo on the offline applications page

  [ Jack Fromm ]
  * Grammar fixes and wording changes
  * Update the software-properties entity
  * Update GUI labels to match current versions

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Sat, 25 May 2013 21:03:30 +0300

xubuntu-docs (13.04.0) raring; urgency=low

  [ Stephen Michael Kellat ]
  * Bumping to raring
  * Created initial page describing use of apt-offline and added examples
  * Located credits page and added name to listing.
  * Did find and replace to change all references to "Parole" to be "Parole Media Player". (LP: #1064081)

  [ Unit193 ]
  * Language clean up (make text en-US)
  * Point to Mousepad instead of Leafpad (changed default application)
  * Fix information about DNS servers

  [ Pasi Lallinaho ]
  * Fix rendering bug in Chrome (LP: #1147192)
  * Bump startpage to raring (LP: #1154220)

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Wed, 20 Mar 2013 01:44:33 +0200

xubuntu-docs (12.10.2) quantal; urgency=low

  [ Book 'em Dano ]
  * desktop-guide/C/guide-default-apps.xml, desktop-guide/C/media-apps.xml: 
    added application tags and removed trademark symbols for consistency
  * desktop-guide/C/migrating-upgrading.xml: revised grammer
  * desktop-guide/libs/legal/C/legal-notice.xml: added general attribution for 
    third party intellectual property

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 11 Oct 2012 09:09:04 -0400

xubuntu-docs (12.10.1) quantal; urgency=low

  [ Matthew East ]
  * Complete rewrite of desktop-guide by Pasi Lallinaho
  * Change to folder structure of desktop-guide to allow translations

  [ Jeremy Bicha ]
  * debian/control:
    - Bump Standards-Version to 3.9.3 and debhelper to 8
    - Don't build-depend on ubuntu-docs
  * debian/preinst: Dropped, not needed after 12.04 LTS

 -- Matthew East <mdke@ubuntu.com>  Wed, 19 Sep 2012 20:38:04 +0100

## xubuntu-docs 12.04.2

=== desktop-guide/Makefile ===
# Makefile for the Xubuntu Documentation
# Ubuntu Documentation Project <ubuntu-doc@lists.ubuntu.com>
# Public domain

# Xubuntu Docbook Customization Layer
XUBUNTUXSL=libs/xubuntu-html-chunk-cust.xsl

html: style
	xsltproc --xinclude -o ../build/desktop-guide/index.html $(XUBUNTUXSL) C/index.xml

style:
	mkdir -p ../build/desktop-guide/includes/
	mkdir -p ../build/desktop-guide/includes/navig/	
	mkdir -p ../build/desktop-guide/includes/admon/
	
	cp libs/*.css ../build/desktop-guide/includes/
	cp -r libs/images/* ../build/desktop-guide/includes/
	cp -r libs/admon/* ../build/desktop-guide/includes/admon/
	cp -r libs/navig/* ../build/desktop-guide/includes/navig/

.PHONY: html

=== debian/changelog ===
xubuntu-docs (12.04.2) precise; urgency=low

  [ Pasi Lallinaho]
  * Backport the looks from 12.10+ documentation.

  [ Jack Fromm ]
  * Update application menu paths to reflect their state in 12.04
  * Update application names and GUI labels
  * Add or remove steps to instructions where applicable

  [ Stephen Michael Kellat ]
  * Prepare for Stable Release Update (Closes LP: #1207493)

  [ Sean Davis ]
  * Prepare packaging for SRU

 -- Sean Davis <smd.seandavis@gmail.com>  Sat, 25 Jan 2014 07:02:36 -0500

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
 Build-Depends: cdbs,
-               debhelper (>= 5),
+               debhelper (>= 8),
                docbook-xml,
                docbook-xsl,
-               ubuntu-docs (>= 7.03),
                xsltproc,
                gnome-doc-utils
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 
 Package: xubuntu-docs
 Architecture: all

## xubuntu-docs 12.10.0

=== debian/changelog ===
xubuntu-docs (12.10.0) quantal; urgency=low

  * Update the documentation look. lp: #1043957

 -- Lionel Le Folgoc <mrpouit@ubuntu.com>  Thu, 30 Aug 2012 20:34:47 +0200

## xubuntu-docs 12.10.2

=== desktop-guide/Makefile ===
# Makefile for the Xubuntu Documentation
# Ubuntu Documentation Project <ubuntu-doc@lists.ubuntu.com>
# Public domain

# Xubuntu Docbook Customization Layer
XUBUNTUXSL=libs/xubuntu-html-chunk-cust.xsl

html: style
	xsltproc --xinclude -o ../build/desktop-guide/index.html $(XUBUNTUXSL) C/index.xml

style:
	mkdir -p ../build/common/images/
	mkdir -p ../build/common/images/navig/	
	mkdir -p ../build/common/images/admon/
	
	cp libs/*.css ../build/common/
	cp -r libs/images/* ../build/common/images/
	cp -r libs/admon/* ../build/common/images/admon/
	cp -r libs/navig/* ../build/common/images/navig/

.PHONY: html

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_CHECK_TARGET :=
DEB_MAKE_INSTALL_TARGET := 
DEB_MAKE_BUILD_TARGET := all 

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk

## xubuntu-docs 14.04.1

=== Makefile ===
# Makefile for the Xubuntu Documentation
# Ubuntu Documentation Project <ubuntu-doc@lists.ubuntu.com>

ifneq ($(wildcard desktop-guide/po/LINGUAS),)
   $(shell cd desktop-guide && ../scripts/translate.sh -u >/dev/null)
   TRANSLATIONS=$(shell cat desktop-guide/po/LINGUAS)
else
   TRANSLATIONS=$(shell basename -s .po -a desktop-guide/po/*po)
endif

all: clean desktop-guide startpage translate

desktop-guide:
	make -C desktop-guide html

translate:
	make -C desktop-guide translate

startpage:
	mkdir -p build/about/
	cp startpage/*.css build/about/
	cp startpage/*.png build/about/
	cp startpage/xubuntu-index-start.htx build/about/xubuntu-index.html
	for lang in $(TRANSLATIONS); do \
		echo -n "\t\t\t<li><a href=\"../$$lang/index.html\">"; grep Language-Team: desktop-guide/po/$$lang.po | awk '{print $$2 "</a></li>"}'; \
	done >> build/about/xubuntu-index.html
	cat startpage/xubuntu-index-end.htx >> build/about/xubuntu-index.html

src-tarball:
	# exclude archive, backup, and bzr files
	tar cvfz xubuntu-doc.tar.gz  --exclude="*.tar.gz" --exclude="*~" --exclude "*.bzr*" *

clean:
	make -C desktop-guide clean
	rm -rf build

.PHONY: desktop-guide startpage translate

=== desktop-guide/Makefile ===
# Makefile for the Xubuntu Documentation
# Ubuntu Documentation Project <ubuntu-doc@lists.ubuntu.com>
# Public domain

# Xubuntu Docbook Customization Layer
XUBUNTUXSL=libs/xubuntu-html-chunk-cust.xsl

ifneq ($(wildcard po/LINGUAS),)
   $(shell ../scripts/translate.sh -u >/dev/null)
   OPTS=-g
   TRANSLATIONS=$(shell cat po/LINGUAS)
else
   OPTS=
   TRANSLATIONS=$(shell basename -s .po -a po/*po)
endif

html: style
	xsltproc --xinclude -o ../build/desktop-guide/index.html $(XUBUNTUXSL) C/index.xml

style:
	mkdir -p ../build/libs
	cp -r libs/*css ../build/libs
	cp -r libs/images ../build/libs
	cp -r libs/admon ../build/libs
	cp -r libs/navig ../build/libs

translate:
	../scripts/translate.sh $(OPTS); \
	for dir in $(TRANSLATIONS); do \
		xsltproc --xinclude -o ../build/$$dir/index.html $(XUBUNTUXSL) $$dir/index.xml && \
		rm -rf $$dir/; \
	done

clean:
	${RM} -r $(TRANSLATIONS)

.PHONY: html translate

=== debian/changelog ===
xubuntu-docs (14.04.1) trusty; urgency=medium

  * New release. (LP: #1294932)

  [ David Pires ]
  * Corrected the xfdesktop-help link in xubuntu.ent file
  
  [ Unit 193 ]
  * Add several commands to the "Common commands" section.
  * Add an appendix for a listing of default packages (with descriptions.)
  * Add a build dep on coreutils (>= 8.16)
  * Update packaging and Makefiles for translations.
  * Drop unused scripts.

  [ Pasi Lallinaho ]
  * Remove mentions of gThumb from the documentation
    since it's not shipped in Trusty.
  * Update the startpage.

  [ Nigel Hall ]
  * Fix typos in the Command Line chapter.

  [ Jack Fromm ]
  * Revised the desktop guide and Settings chapters
    for the new panel layout including Whiskermenu.
  * Updated links to Xfce apps documentation.
  * Add icons and other entities.
  * Update entities as needed.

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 19 Mar 2014 22:08:04 -0400

xubuntu-docs (14.04.0) trusty; urgency=medium

  [ Pasi Lallinaho ]
  * Update version numbers (14.04/Trusty) and copyright
  * Fix text wrapping for information boxes

  [ David Pires ]
  * Add <application> tags for NetworkManager (LP: #1238718)
  * Use 'sudo -i' instead of 'gksudo' (LP: #1251332)
  * Fix typos (LP: #1243946)
  * Add documentation for Mugshot
  * Update documentation for xfdesktop

  [ Unit 193 ]
  * Fix typos
  * Fix file permissions
  * Build-dep drop use of cdbs use dh9, update d/compat
  * Update standards version

 -- Unit 193 <unit193@ubuntu.com>  Wed, 12 Feb 2014 16:56:38 -0500

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: doc
 Priority: optional
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
-Build-Depends: cdbs,
-               debhelper (>= 8),
-               docbook-xml,
-               docbook-xsl,
-               xsltproc,
-               gnome-doc-utils
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9),
+ coreutils (>= 8.16),
+ docbook-xml,
+ docbook-xsl,
+ xsltproc,
+ gnome-doc-utils
+Standards-Version: 3.9.5
 
 Package: xubuntu-docs
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

DEB_MAKE_CHECK_TARGET :=
DEB_MAKE_INSTALL_TARGET := 
DEB_MAKE_BUILD_TARGET := all 

%:
	dh $@

## xubuntu-docs 14.10.1

=== desktop-guide/Makefile ===
--- 
+++ 
@@ -15,6 +15,7 @@
 endif
 
 html: style
+	@echo "<para>Attributed on each language's page.</para>" > C/translators.xml
 	xsltproc --xinclude -o ../build/desktop-guide/index.html $(XUBUNTUXSL) C/index.xml
 
 style:
@@ -27,11 +28,11 @@
 translate:
 	../scripts/translate.sh $(OPTS); \
 	for dir in $(TRANSLATIONS); do \
-		xsltproc --xinclude -o ../build/$$dir/index.html $(XUBUNTUXSL) $$dir/index.xml && \
-		rm -rf $$dir/; \
+		../scripts/translators.sh -l $$dir > $$dir/translators.xml ;\
+		xsltproc --xinclude -o ../build/$$dir/index.html $(XUBUNTUXSL) $$dir/index.xml ;\
 	done
 
 clean:
-	${RM} -r $(TRANSLATIONS)
+	${RM} -r $(TRANSLATIONS) C/translators.xml
 
 .PHONY: html translate

=== debian/changelog ===
xubuntu-docs (14.10.1) utopic; urgency=medium

  * Translation updates.
    - Include Spanish (es). Updates for Finnish (fi).

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 09 Oct 2014 19:54:27 -0400

xubuntu-docs (14.10) utopic; urgency=medium

  [ David Pires ]
  * Fix the printing chapter to remove a reference
    to a obsolete setting (LP: #1299743)
  * Replace references to 'sudo -i' to 'pkexec' since
    that's now the recommended and supported way

  [ Pasi Lallinaho ]
  * Bump version to 14.10.
  * Fix broken startpage logo. (LP: #1310347)
  * Replace references to 'sudo -i' to 'pkexec' since
    that's now the recommended and supported way

  [ Unit 193 ]
  * scripts/translators.sh, desktop-guide/Makefile, desktop-guide/C/index.xml:
    - Attribute translators in their own Language's credits.

  [ Jack Fromm ]
  * Updated Scanning and Printing for new version of Simple Scan (LP: #1366150)

  [ Sean Davis ]
  * Documentation String Freeze exception (LP: #1372085)

 -- Sean Davis <smd.seandavis@gmail.com>  Sun, 21 Sep 2014 21:53:44 -0400

## xubuntu-docs 15.04

=== Makefile ===
--- 
+++ 
@@ -13,6 +13,9 @@
 desktop-guide:
 	make -C desktop-guide html
 
+epub:
+	make -C desktop-guide epub
+
 translate:
 	make -C desktop-guide translate
 
@@ -26,6 +29,9 @@
 	done >> build/about/xubuntu-index.html
 	cat startpage/xubuntu-index-end.htx >> build/about/xubuntu-index.html
 
+test:
+	make -C desktop-guide test
+
 src-tarball:
 	# exclude archive, backup, and bzr files
 	tar cvfz xubuntu-doc.tar.gz  --exclude="*.tar.gz" --exclude="*~" --exclude "*.bzr*" *

=== desktop-guide/Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Public domain
 
 # Xubuntu Docbook Customization Layer
-XUBUNTUXSL=libs/xubuntu-html-chunk-cust.xsl
+XUBUNTUXSL=libs/xubuntu-docbook-conf.xsl
 
 ifneq ($(wildcard po/LINGUAS),)
    $(shell ../scripts/translate.sh -u >/dev/null)
@@ -18,12 +18,30 @@
 	@echo "<para>Attributed on each language's page.</para>" > C/translators.xml
 	xsltproc --xinclude -o ../build/desktop-guide/index.html $(XUBUNTUXSL) C/index.xml
 
+epub: epubstyle
+	@echo "<para>Attributed on each language's page.</para>" > C/translators.xml
+	xsltproc --xinclude -o ../build/desktop-guide/ /usr/share/xml/docbook/stylesheet/nwalsh/epub3/chunk.xsl C/index.xml
+	cd ../build/desktop-guide/; \
+	zip -0Xq xubuntu-docs.epub mimetype;\
+	zip -Xr9Dq xubuntu-docs.epub *
+
 style:
 	mkdir -p ../build/libs
 	cp -r libs/*css ../build/libs
 	cp -r libs/images ../build/libs
 	cp -r libs/admon ../build/libs
 	cp -r libs/navig ../build/libs
+
+epubstyle:
+	mkdir -p ../build/desktop-guide/libs/images
+	cp -r   libs/images/preferences-desktop.png \
+		libs/images/system-lock-screen.png \
+		libs/images/system-log-out.png \
+		libs/images/location_icon.png \
+		libs/images/package_icon.png \
+		libs/images/menu_icon.png \
+		libs/images/key_icon.png \
+		../build/desktop-guide/libs/images/
 
 translate:
 	../scripts/translate.sh $(OPTS); \
@@ -32,6 +50,12 @@
 		xsltproc --xinclude -o ../build/$$dir/index.html $(XUBUNTUXSL) $$dir/index.xml ;\
 	done
 
+test:
+	set -e; \
+	for dir in C $(TRANSLATIONS); do \
+		../scripts/validate.sh $$dir/index.xml ;\
+	done
+
 clean:
 	${RM} -r $(TRANSLATIONS) C/translators.xml

=== debian/changelog ===
xubuntu-docs (15.04) vivid; urgency=medium

  [ Pasi Lallinaho ]
  * Bump version information to 15.04 Vivid Vervet
  * Attribute documentation correctly for the Xubuntu Documentation team
  * Clean up some files
  * Remove unused entities, directories and files
  * Add responsive stylesheets for the documentation
  * Tweak some CSS definitions
  * Replace the caution/important image with a new image
    from upstream (elementary-xfce)
  * Add responsive stylesheets for the start page
  * Add an id for the legalnotice tag to output specified filename
  * Improve the wording on releases on the upgrades section

  [ David Pires ]
  * Corrected a typo in the 'Changing update frequency and behavior'
    sub-section of the Managing installed applications chapter
  * Re-write the update-configuration-notifications section of the
    Managing installed applications chapter
  * Rephrased the first paragraph in index.html
  * Removed all the entries related to gthumb from xubuntu.ent
  * Corrected a typo in internet-networks.xml

  [ Elfy ]
  * Update the "Upgrading" section to be comprehensive. (LP: #1385479)

  [ Unit 193 ]
  * Move validation to a 'test' target, don't run at build time.
  * scripts/translators: Create a fallback in case no translators are found.
  * network-troubleshooting section: 'nm-tool' ➞ 'nmcli device show'
  * Lower the required translation percentage to 70.

  [ Steve Dodier-Lazaro ]
  * Update the security guide.

 -- Sean Davis <smd.seandavis@gmail.com>  Mon, 09 Mar 2015 20:33:59 -0400

## xubuntu-docs 15.04.1

=== Makefile ===
# Makefile for the Xubuntu Documentation
# Ubuntu Documentation Project <ubuntu-doc@lists.ubuntu.com>

ifneq ($(REVNO),)
    VERSION = 
    VERSION += (Rev. $(REVNO))
endif

all: clean startpage html translate

startpage: get-translations
	mkdir -p build
	cp      startpage/*.css \
		startpage/*.png \
		build/
	sed "s@\(<a href=\"\).*\([^/]\+/index\.html\">Official Documentation</a>\)@\1\2$(VERSION)@" startpage/xubuntu-index-start.htx > build/index.html
	for lang in $(TRANSLATIONS); do \
	    	awk -v lang="$$lang" '$$1 == lang {print "\t\t\t<li><a href=\"" lang "/index.html\">" $$2 "</a></li>"; f=1; exit} END {exit !f}' desktop-guide/po/LINGUANAMES || \
		awk -v lang="$$lang" '$$1 == "\"Language-Team:" {print "\t\t\t<li><a href=\"" lang "/index.html\">" $$2 "</a></li>"; exit}' desktop-guide/po/$$lang.po; \
	done >> build/index.html
	cat startpage/xubuntu-index-end.htx >> build/index.html

get-translations:
ifneq ($(wildcard desktop-guide/po/LINGUAS),)
	cd desktop-guide; \
	../scripts/translate.sh -u
    export TRANSLATIONS := $(shell cat desktop-guide/po/LINGUAS)
    export TRANSOPTS = -g
else
    export TRANSLATIONS := $(shell basename -s .po -a desktop-guide/po/*.po)
endif

html:
	make -C desktop-guide html

epub:
	make -C desktop-guide epub

translate:
	make -C desktop-guide translate

test:
	make -C desktop-guide test

src-tarball:
	# exclude archive, backup, and bzr files
	tar cvfz xubuntu-doc.tar.gz  --exclude="*.tar.gz" --exclude="*~" --exclude "*.bzr*" *

clean:
	make -C desktop-guide clean
	rm -rf build

.PHONY: startpage

=== desktop-guide/Makefile ===
# Makefile for the Xubuntu Documentation
# Ubuntu Documentation Project <ubuntu-doc@lists.ubuntu.com>
# Public domain

# Xubuntu Docbook Customization Layer
XUBUNTUXSL = libs/xubuntu-docbook-conf.xsl

# All available translations
TRANSALL = $(shell basename -s .po -a po/*.po)

all: clean html translate

html: style
	printf "<itemizedlist>\n\t<listitem><para>Attributed on each translation's page.</para></listitem>\n</itemizedlist>\n" > C/translators.xml
	xsltproc --xinclude -o ../build/C/index.html $(XUBUNTUXSL) C/index.xml
	sed -i 's@\(<p>The contributors to\) this translation of the \(documentation are:</p>\)@\1 the various translations of this \2@' ../build/C/credits-license.html

epub: epubstyle
	printf "<itemizedlist>\n\t<listitem><para>Attributed on each translation's page.</para></listitem>\n</itemizedlist>\n" > C/translators.xml
	xsltproc --xinclude -o ../build/C/ /usr/share/xml/docbook/stylesheet/nwalsh/epub3/chunk.xsl C/index.xml
	sed -i 's@\(<p>The contributors to\) this translation of the \(documentation are:</p>\)@\1 the various translations of this \2@' ../build/C/credits-license.html
	cd ../build/C; \
	zip -0Xq xubuntu-docs.epub mimetype; \
	zip -Xr9Dq xubuntu-docs.epub *

style:
	mkdir -p ../build/libs
	cp -r   libs/*.css \
		libs/images \
		libs/admon \
		libs/navig \
		../build/libs/

epubstyle:
	mkdir -p ../build/C/libs/images
	cp      libs/images/preferences-desktop.png \
		libs/images/system-lock-screen.png \
		libs/images/system-log-out.png \
		libs/images/location_icon.png \
		libs/images/package_icon.png \
		libs/images/menu_icon.png \
		libs/images/key_icon.png \
		../build/C/libs/images/

translate: get-translations
	../scripts/translate.sh $(TRANSOPTS)
	../scripts/translators.sh $(TRANSOPTS)
	for dir in $(TRANSLATIONS); do \
		xsltproc --xinclude -o ../build/$$dir/index.html $(XUBUNTUXSL) $$dir/index.xml; \
	done

test: get-translations
	set -e; \
	for dir in C $(TRANSLATIONS); do \
		../scripts/validate.sh $$dir/index.xml; \
	done

get-translations:
ifeq ($(TRANSLATIONS),)
    ifneq ($(wildcard po/LINGUAS),)
	../scripts/translate.sh -u
        TRANSLATIONS := $(shell cat po/LINGUAS)
        TRANSOPTS = -g
    else
        TRANSLATIONS := $(TRANSALL)
    endif
endif

clean:
	${RM} -r $(TRANSALL) C/translators.xml

=== debian/changelog ===
xubuntu-docs (15.04.1) vivid-proposed; urgency=medium

  [ Steve Dodier-Lazaro ]
  * Mentioning the risks of password reuse more clearly

  [ Krytarik Raido ]
  * Make translation links on startpage use native language names
  * Normalized appearance of cross references, startpage moved to document root and renamed to 'index.html', main docs' directory changed to 'C'

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 08 Apr 2015 18:44:13 -0400

## xubuntu-docs 15.04.2

=== Makefile ===
# Makefile for the Xubuntu Documentation
# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>

# Include revision number
ifneq ($(REVNO),)
    VERSION = 
    VERSION += (Rev. $(REVNO))
endif

# All available translations
TRANSALL = $(shell basename -s .po -a desktop-guide/po/*.po)

all: clean startpage html translate

startpage: get-translations
	mkdir -p build
	cp      startpage/*.css \
		startpage/*.png \
		build/
	sed "s@\(<a href=\"\).*\([^/]\+/index\.html\">Official Documentation</a>\)@\1\2$(VERSION)@" startpage/xubuntu-index-start.htx > build/index.html
	for lang in $(TRANSLATIONS); do \
	    	awk -v lang="$$lang" '$$1 == lang {print "\t\t\t<li><a href=\"" lang "/index.html\">" $$2 "</a></li>"; f=1; exit} END {exit !f}' desktop-guide/po/LINGUANAMES || \
		awk -v lang="$$lang" '$$1 == "\"Language-Team:" {print "\t\t\t<li><a href=\"" lang "/index.html\">" $$2 "</a></li>"; exit}' desktop-guide/po/$$lang.po; \
	done >> build/index.html
	cat startpage/xubuntu-index-end.htx >> build/index.html

update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard desktop-guide/po/LINGUAS),)
		cd desktop-guide; \
		../scripts/translate.sh -u
        endif
    endif

get-translations: update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard desktop-guide/po/LINGUAS),)
            export TRANSLATIONS = $(shell cat desktop-guide/po/LINGUAS)
            export TRANSOPTS = -g
        else
            export TRANSLATIONS := $(TRANSALL)
            export TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    else
        export TRANSLATIONS
        export TRANSOPTS := -l "$(TRANSLATIONS)"
    endif

html:
	$(MAKE) -C desktop-guide html

epub:
	$(MAKE) -C desktop-guide epub

translate: get-translations
	$(MAKE) -C desktop-guide translate

test: get-translations
	$(MAKE) -C desktop-guide test

src-tarball:
	# exclude archive, backup, and bzr files
	tar cvfz xubuntu-doc.tar.gz  --exclude="*.tar.gz" --exclude="*~" --exclude "*.bzr*" *

clean:
	$(MAKE) -C desktop-guide clean
	rm -rf build

.PHONY: startpage

=== desktop-guide/Makefile ===
--- 
+++ 
@@ -1,6 +1,5 @@
 # Makefile for the Xubuntu Documentation
-# Ubuntu Documentation Project <ubuntu-doc@lists.ubuntu.com>
-# Public domain
+# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>
 
 # Xubuntu Docbook Customization Layer
 XUBUNTUXSL = libs/xubuntu-docbook-conf.xsl
@@ -55,16 +54,27 @@
 		../scripts/validate.sh $$dir/index.xml; \
 	done
 
-get-translations:
-ifeq ($(TRANSLATIONS),)
-    ifneq ($(wildcard po/LINGUAS),)
-	../scripts/translate.sh -u
-        TRANSLATIONS := $(shell cat po/LINGUAS)
-        TRANSOPTS = -g
+update-translations:
+    ifeq ($(TRANSLATIONS),)
+        ifneq ($(wildcard po/LINGUAS),)
+		../scripts/translate.sh -u
+        endif
+    endif
+
+get-translations: update-translations
+    ifeq ($(TRANSLATIONS),)
+        ifneq ($(wildcard po/LINGUAS),)
+            TRANSLATIONS = $(shell cat po/LINGUAS)
+            TRANSOPTS = -g
+        else
+            TRANSLATIONS := $(TRANSALL)
+            TRANSOPTS := -l "$(TRANSLATIONS)"
+        endif
     else
-        TRANSLATIONS := $(TRANSALL)
+        ifeq ($(TRANSOPTS),)
+            TRANSOPTS := -l "$(TRANSLATIONS)"
+        endif
     endif
-endif
 
 clean:
-	${RM} -r $(TRANSALL) C/translators.xml
+	rm -rf $(TRANSALL) C/translators.xml

=== debian/changelog ===
xubuntu-docs (15.04.2) vivid; urgency=medium

  * Translation updates.
    - Include German (de). 
    - Updates for Finnish (fi), Spanish (es), and French (fr).

  [ Krytarik Raido ]
  * Fix behavior on updating LINGUAS at build time
  * Update LINGUAS on currently shipped translations (LP: #1446259)
  * Correct some data in the general contributor credits,
    and sort those alphabetically too

 -- David Pires <slickymaster@ubuntu.com>  Sun, 19 Apr 2015 23:20:35 +0100

xubuntu-docs (15.04.1) vivid; urgency=medium

  [ Krytarik Raido ]
  * Make translation links on startpage use native language names
  * Normalize appearance of cross references both throughout
    the various languages and towards other links
  * Move startpage from 'about' directory to document root,
    and rename it to 'index.html'
  * Add option to include revision on startpage
  * Change main docs' directory from 'desktop-guide' to 'C'
  * Change main docs' link on startpage to a relative one
  * Reduce duplication of 'documentation' on startpage as well,
    and fix a couple of other things too
  * Improve reliability and efficiency of creating
    the translator credits
  * Overhaul translation script as well
  * Improve efficiency and modularity of the Makefiles
  * Adapt appearance of translators reference in the main docs
    to both the other credits and the translations
  * Use different clauses heading the translator credits
    for the main docs and the translations

  [ Steve Dodier-Lazaro ]
  * Mentioning the risks of password reuse more clearly

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 08 Apr 2015 18:44:13 -0400

## xubuntu-docs 15.10.0

=== debian/changelog ===
xubuntu-docs (15.10.0) wily; urgency=medium

  [ David Pires ]
  * Bump version and start page to 15.10 Wily Werewolf
  * Replace the occurrences of Abiword and Gnumeric for Writer and Calc in
    the appendix-packages and guide-default-apps files
  * Remove Gimp entry from guide-default-apps
  * Remove Gimp entity from the entities file and create entities for Calc
    and Writer

  [ Pasi Lallinaho ]
  * PDF exporting
    - Prepare Makefile targets and automatization for exports
    - Add a print-specific customization layer
  * Hide translator credits from C
  * Hide PDF links from the PDF files itself
  * Improve Makefiles and scripts
  * Improve the recto/verso page templates
    - No unnecessary formatting tags
    - Print the abstract on its own page, after the copyright notices

  [ Krytarik Raido ]
  * Link to the PDF files from the documentation
  * Improve Makefiles and scripts

 -- Sean Davis <smd.seandavis@gmail.com>  Fri, 18 Sep 2015 07:23:31 -0400

## xubuntu-docs 15.10.1

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 # All available translations
 TRANSALL = $(shell basename -s .po -a desktop-guide/po/*.po)
 
-all: clean startpage html translate
+all: clean startpage html html-translations pdf pdf-translations
 
 startpage: get-translations
 	mkdir -p build
@@ -52,18 +52,30 @@
 epub:
 	$(MAKE) -C desktop-guide epub
 
-translate: get-translations
+pdf:
+	$(MAKE) -C desktop-guide pdf
+
+translate:
 	$(MAKE) -C desktop-guide translate
 
-test: get-translations
+html-translations:
+	$(MAKE) -C desktop-guide html-translations
+
+pdf-translations:
+	$(MAKE) -C desktop-guide pdf-translations
+
+test:
 	$(MAKE) -C desktop-guide test
 
 src-tarball:
-	# exclude archive, backup, and bzr files
-	tar cvfz xubuntu-doc.tar.gz  --exclude="*.tar.gz" --exclude="*~" --exclude "*.bzr*" *
+	# exclude archive, VCS and backups
+	tar -czf xubuntu-docs.tar.gz --exclude='xubuntu-docs.tar.gz' --exclude-vcs --exclude-backups .
+
+pot:
+	scripts/get-pot.sh
 
 clean:
 	$(MAKE) -C desktop-guide clean
-	rm -rf build
+	rm -rf build xubuntu-docs.tar.gz
 
 .PHONY: startpage

=== desktop-guide/Makefile ===
# Makefile for the Xubuntu Documentation
# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>

# Xubuntu Docbook Customization Layers
XUBUNTUXSL_HTML = libs/xubuntu-docbook-xhtml.xsl
XUBUNTUXSL_PDF = libs/xubuntu-docbook-pdf.xsl

# All available translations
TRANSALL = $(shell basename -s .po -a po/*.po)

all: clean html html-translations pdf pdf-translations

html: style
	xsltproc --xinclude -o ../build/C/index.html $(XUBUNTUXSL_HTML) C/index.xml

epub: style-epub
	xsltproc --xinclude -o ../build/C/ /usr/share/xml/docbook/stylesheet/nwalsh/epub3/chunk.xsl C/index.xml
	cd ../build/C; \
	zip -0Xq xubuntu-docs.epub mimetype; \
	zip -Xr9Dq xubuntu-docs.epub *

pdf:
	xsltproc --stringparam paper.type A4 --xinclude -o fo/C-A4.fo $(XUBUNTUXSL_PDF) C/index.xml
	../scripts/pdf-create.sh C

style:
	mkdir -p ../build/libs
	cp -r   libs/*.css \
		libs/images \
		libs/admon \
		libs/navig \
		../build/libs/
	@touch style

style-epub:
	mkdir -p ../build/C/libs/images
	cp      libs/images/preferences-desktop.png \
		libs/images/system-lock-screen.png \
		libs/images/system-log-out.png \
		libs/images/location_icon.png \
		libs/images/package_icon.png \
		libs/images/menu_icon.png \
		libs/images/key_icon.png \
		../build/C/libs/images/

translate: | get-translations
	../scripts/translate.sh $(TRANSOPTS)
	../scripts/translators.sh $(TRANSOPTS)
	@touch translate

html-translations: style translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --xinclude -o ../build/$$dir/index.html $(XUBUNTUXSL_HTML) $$dir/index.xml; \
	done

pdf-translations: translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --stringparam paper.type A4 --xinclude -o fo/$$dir-A4.fo $(XUBUNTUXSL_PDF) $$dir/index.xml; \
	done
	../scripts/pdf-create.sh $(TRANSLATIONS)

test: translate
	set -e; \
	for dir in C $(TRANSLATIONS); do \
		../scripts/validate.sh $$dir/index.xml; \
	done

update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
		../scripts/translate.sh -u
        endif
    endif

get-translations: update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
            TRANSLATIONS = $(shell cat po/LINGUAS)
            TRANSOPTS = -g
        else
            TRANSLATIONS := $(TRANSALL)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    else
        ifeq ($(TRANSOPTS),)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    endif

clean:
	rm -rf ../build $(TRANSALL) fo style translate

=== debian/changelog ===
xubuntu-docs (15.10.1) wily; urgency=medium

  * Updated translations

 -- Sean Davis <smd.seandavis@gmail.com>  Fri, 09 Oct 2015 07:07:39 -0400

=== debian/control ===
Source: xubuntu-docs
Section: doc
Priority: optional
Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
Build-Depends: coreutils (>= 8.16),
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 fonts-droid,
 fop,
 gnome-doc-utils,
 xsltproc
Standards-Version: 3.9.6

Package: xubuntu-docs
Architecture: all
Depends: ${misc:Depends}
Description: Xubuntu documentation
 This package holds the official Xubuntu-specific documentation, maintained
 by the Xubuntu Documentation Team. The documentation can be viewed using
 a web browser or a PDF reader.

## xubuntu-docs 16.04

=== debian/changelog ===
xubuntu-docs (16.04) xenial; urgency=medium

  [ David Pires ]
  * Bump version and start page to 16.04 Xenial Xerus
  * Removed references to gmusicbrowser
  * Ubuntu Software Center → Gnome Software

  [ flocculant ]
  * Wording updates and grammar fixes
  * Contributor docs: Initial content for QA
  * Added ISO section to QA testing
  * Added 3 PPA links and new catfish note to QA testing

  [ Unit 193 ]
  * Makefile:
    - Only run 'html' on the contributor docs, not run 'all'.
    - Add contributor docs to the clean section.
    - Rename, contributors → contributors-html.

  [ Krytarik Raido ]
  * Create subdirectory for user docs too
  * Drop '-docs' from contributor docs directory
  * Rename 'desktop-guide' source directory to 'user-docs'
  * Rename 'xubuntu-docs.ent' to 'xubuntu-user.ent'
  * Drop '-docs' from 'xubuntu-contributor-docs.ent'
  * Consolidate to only one 'libs-common' directory
  * Include contributor docs in the startpage
  * Reword introduction to user docs
  * Move common doc XMLs to 'libs-common'
  * Move language names file to 'libs-common'
  * Drop using 'shipped-docs' for translation
  * Enable translations for contributor docs
  * Enable PDFs for contributor docs
  * Build contributor docs by default too

 -- David Pires <slickymaster@ubuntu.com>  Thu, 10 Mar 2016 23:41:13 +0000

## xubuntu-docs 16.04.1

=== Makefile ===
# Makefile for the Xubuntu Documentation
# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>

# Include revision number
ifneq ($(REVNO),)
    VERSION = 
    VERSION += (Rev. $(REVNO))
endif

# All available translations
TRANSALLUSER = $(shell basename -s .po -a user-docs/po/*.po)
TRANSALLCONTR = $(shell basename -s .po -a contributor-docs/po/*.po)

ifeq ($(TRANSALLCONTR),*)
    TRANSALLCONTR =
endif

# Translation links
TRSLINKSUSER = $(shell for lang in $(TRANSLATUSER); do \
        awk -v lang="$$lang" '$$1 == lang {print "\t\t\t\t\t\t<li><a href=\\\"user/" lang "/index.html\\\">" $$2 "</a></li>\\n"; f=1; exit} END {exit !f}' libs-common/language-names || \
        awk -v lang="$$lang" '$$1 == "\"Language-Team:" {print "\t\t\t\t\t\t<li><a href=\\\"user/" lang "/index.html\\\">" $$2 "</a></li>\\n"; exit}' user-docs/po/$$lang.po; \
    done | sed '$$ s/\\n$$//')

TRSLINKSCONTR = $(shell for lang in $(TRANSLATCONTR); do \
        awk -v lang="$$lang" '$$1 == lang {print "\t\t\t\t\t\t<li><a href=\\\"contributor/" lang "/index.html\\\">" $$2 "</a></li>\\n"; f=1; exit} END {exit !f}' libs-common/language-names || \
        awk -v lang="$$lang" '$$1 == "\"Language-Team:" {print "\t\t\t\t\t\t<li><a href=\\\"contributor/" lang "/index.html\\\">" $$2 "</a></li>\\n"; exit}' contributor-docs/po/$$lang.po; \
    done | sed '$$ s/\\n$$//')

all: clean startpage user-all contributor-all

user-all: user-html user-html-translations user-pdf user-pdf-translations

contributor-all: contributor-html contributor-html-translations contributor-pdf contributor-pdf-translations

startpage: startpage-style user-get-translations contributor-get-translations
	sed "s@<a href=\"[^\"]\+\">Official Documentation</a>@&$(VERSION)@; \
	    s@^\(.*\)<!-- user docs translations -->.*@$(TRSLINKSUSER)@" startpage/index.html > build/index.html
	sed -i "s@<a href=\"[^\"]\+\">Contributor Documentation</a>@&$(VERSION)@; \
	    s@^\(.*\)<!-- contributor docs translations -->.*@$(if $(TRSLINKSCONTR),$(TRSLINKSCONTR),\1)@" build/index.html

startpage-style: common-libs
	cp startpage/*.css build/
	@touch startpage-style

common-libs:
	mkdir -p build/libs-common 
	cp -r libs-common/css \
		libs-common/images \
		build/libs-common/
	@touch common-libs

user-docs/update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard user-docs/po/LINGUAS),)
		cd user-docs; \
		../scripts/translate.sh -u
		@touch user-docs/update-translations
        endif
    endif

user-update-translations: user-docs/update-translations

user-get-translations: user-docs/update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard user-docs/po/LINGUAS),)
            export TRANSLATUSER = $(shell cat user-docs/po/LINGUAS)
            export TRANSOPTSUSER = -g
        else
            export TRANSLATUSER := $(TRANSALLUSER)
            export TRANSOPTSUSER := -l "$(TRANSLATUSER)"
        endif
    else
        export TRANSLATUSER := $(TRANSLATIONS)
        export TRANSOPTSUSER := -l "$(TRANSLATIONS)"
    endif

contributor-docs/update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard contributor-docs/po/LINGUAS),)
		cd contributor-docs; \
		../scripts/translate.sh -u
		@touch contributor-docs/update-translations
        endif
    endif

contributor-update-translations: contributor-docs/update-translations

contributor-get-translations: contributor-docs/update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard contributor-docs/po/LINGUAS),)
            export TRANSLATCONTR = $(shell cat contributor-docs/po/LINGUAS)
            export TRANSOPTSCONTR = -g
        else
            export TRANSLATCONTR := $(TRANSALLCONTR)
            export TRANSOPTSCONTR := -l "$(TRANSLATCONTR)"
        endif
    else
        export TRANSLATCONTR := $(TRANSLATIONS)
        export TRANSOPTSCONTR := -l "$(TRANSLATIONS)"
    endif

user-html:
	$(MAKE) -C user-docs html

user-epub:
	$(MAKE) -C user-docs epub

user-pdf:
	$(MAKE) -C user-docs pdf

user-translate:
	$(MAKE) -C user-docs translate

user-html-translations:
	$(MAKE) -C user-docs html-translations

user-pdf-translations:
	$(MAKE) -C user-docs pdf-translations

contributor-html:
	$(MAKE) -C contributor-docs html

contributor-epub:
	$(MAKE) -C contributor-docs epub

contributor-pdf:
	$(MAKE) -C contributor-docs pdf

contributor-translate:
	$(MAKE) -C contributor-docs translate

contributor-html-translations:
	$(MAKE) -C contributor-docs html-translations

contributor-pdf-translations:
	$(MAKE) -C contributor-docs pdf-translations

test:
	$(MAKE) -C user-docs test
	$(MAKE) -C contributor-docs test

src-tarball:
	# exclude archive, VCS, and backups
	tar -czf xubuntu-docs.tar.gz --exclude='xubuntu-docs.tar.gz' --exclude-vcs --exclude-backups .

pot:
	scripts/get-pot.sh user-docs contributor-docs

clean:
	$(MAKE) -C user-docs clean
	$(MAKE) -C contributor-docs clean
	rm -rf build common-libs startpage-style xubuntu-docs.tar.gz

.PHONY: startpage

=== debian/changelog ===
xubuntu-docs (16.04.1) xenial; urgency=medium

  [ flocculant ]
  * Replaced gstreamer0.1 ugly with gstreamer1.0 ugly
  * Replaced install-css.sh with the new libdvd-pkg information
  * Added new dev doc page for testers

 -- Sean Davis <smd.seandavis@gmail.com>  Wed, 16 Mar 2016 19:10:17 -0400

## xubuntu-docs 16.04.2

=== debian/changelog ===
xubuntu-docs (16.04.2) xenial; urgency=medium

  * Fix relative paths for font metric files to allow PDFs to build
  * Land some visual consisntency fixes
  * Update the startpage to use a consistent style as well as the new highlight style

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Thu, 17 Mar 2016 13:36:59 +0200

## xubuntu-docs 16.04.3

=== debian/changelog ===
xubuntu-docs (16.04.3) xenial; urgency=medium

  * Create temporary symlinks while creating PDFs (fixes FTBFS, thanks Krytarik)
  * Drop contributor documentation from the default build

 -- Pasi Lallinaho <pasi@shimmerproject.org>  Tue, 22 Mar 2016 13:48:45 +0200

## xubuntu-docs 16.04.4

=== Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
         awk -v lang="$$lang" '$$1 == "\"Language-Team:" {print "\t\t\t\t\t\t<li><a href=\\\"contributor/" lang "/index.html\\\">" $$2 "</a></li>\\n"; exit}' contributor-docs/po/$$lang.po; \
     done | sed '$$ s/\\n$$//')
 
-all: clean startpage user-all contributor-all
+all: clean startpage user-all
 
 user-all: user-html user-html-translations user-pdf user-pdf-translations

=== contributor-docs/Makefile ===
# Makefile for the Xubuntu Documentation
# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>

ifneq ($(TRANSLATCONTR),)
    TRANSLATIONS = $(TRANSLATCONTR)
endif

ifneq ($(TRANSOPTSCONTR),)
    TRANSOPTS = $(TRANSOPTSCONTR)
endif

# Xubuntu Docbook Customization Layers
XUBUNTUXSL_HTML = ../libs-common/xubuntu-docbook-xhtml.xsl
XUBUNTUXSL_PDF = ../libs-common/xubuntu-docbook-pdf.xsl

# All available translations
TRANSALL = $(shell basename -s .po -a po/*.po)

ifeq ($(TRANSALL),*)
    TRANSALL =
endif

all: clean html html-translations pdf pdf-translations

html: html-style
	xsltproc --xinclude -o ../build/contributor/C/index.html $(XUBUNTUXSL_HTML) C/index.xml

pdf:
	xsltproc --stringparam paper.type A4 --xinclude -o fo/C-A4.fo $(XUBUNTUXSL_PDF) C/index.xml
	../scripts/pdf-create.sh C

epub: epub-style
	xsltproc --xinclude -o ../build/contributor/C/ /usr/share/xml/docbook/stylesheet/nwalsh/epub3/chunk.xsl C/index.xml
	sed -i 's@../../libs-common@../libs@g' ../build/contributor/C/OEBPS/*
	cd ../build/contributor/C; \
	zip -0Xq xubuntu-documentation.epub mimetype; \
	zip -Xr9Dq xubuntu-documentation.epub *

html-style: ../common-libs
	mkdir -p ../build/contributor/libs
	-cp -r libs/images ../build/contributor/libs/
	@touch html-style

epub-style:
	mkdir -p ../build/contributor/C/libs/images
	-cp ../libs-common/images/*.png \
		libs/images/*.png \
		../build/contributor/C/libs/images/
	@touch epub-style

../common-libs:
	$(MAKE) -C .. common-libs

common-libs: ../common-libs

translate: | get-translations
	../scripts/translate.sh $(TRANSOPTS)
	../scripts/translators.sh $(TRANSOPTS)
	@touch translate

html-translations: html-style translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --xinclude -o ../build/contributor/$$dir/index.html $(XUBUNTUXSL_HTML) $$dir/index.xml; \
	done

pdf-translations: translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --stringparam paper.type A4 --xinclude -o fo/$$dir-A4.fo $(XUBUNTUXSL_PDF) $$dir/index.xml; \
	done
	../scripts/pdf-create.sh $(TRANSLATIONS)

test: translate
	set -e; \
	for dir in C $(TRANSLATIONS); do \
		../scripts/validate.sh $$dir/index.xml; \
	done

update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
		../scripts/translate.sh -u
		@touch update-translations
        endif
    endif

get-translations: update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
            TRANSLATIONS = $(shell cat po/LINGUAS)
            TRANSOPTS = -g
        else
            TRANSLATIONS := $(TRANSALL)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    else
        ifeq ($(TRANSOPTS),)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    endif

clean:
	rm -rf ../build/libs-common ../build/contributor $(TRANSALL) fo ../common-libs html-style epub-style update-translations translate

=== user-docs/Makefile ===
# Makefile for the Xubuntu Documentation
# Xubuntu Project <xubuntu-devel@lists.ubuntu.com>

ifneq ($(TRANSLATUSER),)
    TRANSLATIONS = $(TRANSLATUSER)
endif

ifneq ($(TRANSOPTSUSER),)
    TRANSOPTS = $(TRANSOPTSUSER)
endif

# Xubuntu Docbook Customization Layers
XUBUNTUXSL_HTML = ../libs-common/xubuntu-docbook-xhtml.xsl
XUBUNTUXSL_PDF = ../libs-common/xubuntu-docbook-pdf.xsl

# All available translations
TRANSALL = $(shell basename -s .po -a po/*.po)

all: clean html html-translations pdf pdf-translations

html: html-style
	xsltproc --xinclude -o ../build/user/C/index.html $(XUBUNTUXSL_HTML) C/index.xml

pdf:
	xsltproc --stringparam paper.type A4 --xinclude -o fo/C-A4.fo $(XUBUNTUXSL_PDF) C/index.xml
	../scripts/pdf-create.sh C

epub: epub-style
	xsltproc --xinclude -o ../build/user/C/ /usr/share/xml/docbook/stylesheet/nwalsh/epub3/chunk.xsl C/index.xml
	sed -i 's@../../libs-common@../libs@g' ../build/user/C/OEBPS/*
	cd ../build/user/C; \
	zip -0Xq xubuntu-documentation.epub mimetype; \
	zip -Xr9Dq xubuntu-documentation.epub *

html-style: ../common-libs
	mkdir -p ../build/user/libs
	cp -r libs/images ../build/user/libs/
	@touch html-style

epub-style:
	mkdir -p ../build/user/C/libs/images
	cp ../libs-common/images/*.png \
		libs/images/*.png \
		../build/user/C/libs/images/
	@touch epub-style

../common-libs:
	$(MAKE) -C .. common-libs

common-libs: ../common-libs

translate: | get-translations
	../scripts/translate.sh $(TRANSOPTS)
	../scripts/translators.sh $(TRANSOPTS)
	@touch translate

html-translations: html-style translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --xinclude -o ../build/user/$$dir/index.html $(XUBUNTUXSL_HTML) $$dir/index.xml; \
	done

pdf-translations: translate
	for dir in $(TRANSLATIONS); do \
		xsltproc --stringparam paper.type A4 --xinclude -o fo/$$dir-A4.fo $(XUBUNTUXSL_PDF) $$dir/index.xml; \
	done
	../scripts/pdf-create.sh $(TRANSLATIONS)

test: translate
	set -e; \
	for dir in C $(TRANSLATIONS); do \
		../scripts/validate.sh $$dir/index.xml; \
	done

update-translations:
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
		../scripts/translate.sh -u
		@touch update-translations
        endif
    endif

get-translations: update-translations
    ifeq ($(TRANSLATIONS),)
        ifneq ($(wildcard po/LINGUAS),)
            TRANSLATIONS = $(shell cat po/LINGUAS)
            TRANSOPTS = -g
        else
            TRANSLATIONS := $(TRANSALL)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    else
        ifeq ($(TRANSOPTS),)
            TRANSOPTS := -l "$(TRANSLATIONS)"
        endif
    endif

clean:
	rm -rf ../build/libs-common ../build/user $(TRANSALL) fo ../common-libs html-style epub-style update-translations translate

=== debian/changelog ===
xubuntu-docs (16.04.4) xenial; urgency=medium

  * New bugfix and translation release.

 -- Sean Davis <smd.seandavis@gmail.com>  Thu, 07 Apr 2016 18:39:41 -0400

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,11 @@
 Maintainer: Ubuntu Documentation Team <ubuntu-doc@lists.ubuntu.com>
 Build-Depends: coreutils (>= 8.16),
  debhelper (>= 9),
+ default-jre,
  docbook-xml,
  docbook-xsl,
- fonts-droid,
+ fonts-dejavu-core,
+ fonts-noto,
  fop,
  gnome-doc-utils,
  xsltproc
